Subject: Re: New Contact submission from Contact
From: Release Concierge <[email-masked]>
To: Rona Galangi <[email-masked]>
Cc: release <[email-masked]>, Saurabh Dadu <[email-masked]>
Date: Tue, 17 May 2022 13:13:47 -0400

Hi Rona (and Saurabh),

I’ve been trying to call the call center for more than a half hour and even now at 1:11, the message is no agent available and the call is disconnected. It does not appear that the person on today is back from break. More importantly, this message and was of handling calls that come in when there isn’t a person available will not work. I didn’t realize this was how we were handling this. There must be a way for callers to leave a message for the call center with a timely call back and/or a message that indicates when the person can call back for assistance. We need to address this immediately. Thank you.

> On May 17, 2022, at 12:53 PM, Rona Galangi <[email-masked]> wrote:
> 
> Hi, 
> 
> We'll get this done now. Sorry, we only have 1 agent logged in today and she just got back from her lunch break.
> 
> Thank you,
> 
> Rona Galangi
> LiveSalesman
> 
> From: "Release Concierge" <[email-masked]>
> To: "release" <[email-masked]>, "Saurabh Dadu" <[email-masked]>
> Sent: Wednesday, May 18, 2022 12:45:11 AM
> Subject: Fwd: New Contact submission from Contact
> 
> This person has tried to call twice today to reschedule these appointments. The first time she was out on hold for 10 minutes and the second time she received a message saying no agent available and the call was disconnected. Please call her asap and I’m hopeful that you can resolve whatever issue is causing the inability to take her call. Thank you!
> 
> Sent from my iPhone
> 
> Begin forwarded message:
> 
> From: Release Well-Being Center <[email-masked]>
> Date: May 17, 2022 at 11:27:50 AM EDT
> To: [email-masked]
> Subject: New Contact submission from Contact
> Reply-To: [email-masked]
> 
> 
> Name
>  	Paige Hensel
> Email
>  	[email-masked] <mailto:[email-masked]>
> Phone
>  	(774) 573-7657
> Comments
>  	Hi there! I have an appointment for 3 people tomorrow but unfortunately one person in our group is still testing positive for Covid. 
> 
> We’d feel more comfortable rescheduling for a later date. Are there any upcoming Mondays available for us to reschedule to?
> 
> Thanks I’m advance, 
> Paige
>